package com.example.phonebook;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class Insert extends Activity {
	
	private EditText name;
	private EditText family;
	private EditText address;
	private EditText email;
	private EditText number;
	
	private Button insert;
	private Button cancle;
	
	private dbhandler db;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.insert);
		
		db= new dbhandler(this);
		
		name=(EditText)findViewById(R.id.insert_edt_name);
		family=(EditText)findViewById(R.id.insert_edt_famliy);
		address=(EditText)findViewById(R.id.insert_edt_address);
		email=(EditText)findViewById(R.id.insert_edt_email);
		number=(EditText)findViewById(R.id.insert_edt_number);
		
		insert=(Button)findViewById(R.id.insert_btn_insert);
		cancle=(Button)findViewById(R.id.insert_btn_cancle);
		
		insert.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View arg0) {
				db.open();
				db.insert(name.getText().toString(), family.getText().toString(),
						address.getText().toString(),email.getText().toString(),
						number.getText().toString());
				db.close();
				
				Toast.makeText(getApplicationContext(), " ", Toast.LENGTH_LONG).show();
				finish();
			}
		});
		
       cancle.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View arg0) {
				finish();
				
			}
		});
		
	}

}

