package com.example.phonebook;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

public class dbhandler {
	
	private dbopenhelper dbhelper;
	private SQLiteDatabase data;
	
	public dbhandler (Context context){
		dbhelper=new dbopenhelper(context);		
	}
	
	public void open(){
		data=dbhelper.getWritableDatabase();		
	}
	
	public void close(){
		
		data.close();
	}
	
	public void insert (String name, String family, String address, String email, String number){
		
		ContentValues cv=new ContentValues();
		cv.put(dbhelper.cname, name);
		cv.put(dbhelper.cfamily, family);
		cv.put(dbhelper.caddress, address);
		cv.put(dbhelper.cemail, email);
		cv.put(dbhelper.cnumber, number);
		data.insert(dbhelper.tblname, dbhelper.cname, cv);
	}
	
	public void update (String name, String family, String address, String email, String number,int id){
		ContentValues cv=new ContentValues();
		cv.put(dbhelper.cname, name);
		cv.put(dbhelper.cfamily, family);
		cv.put(dbhelper.caddress, address);
		cv.put(dbhelper.cemail, email);
		cv.put(dbhelper.cnumber, number);
		data.update(dbhelper.tblname, cv, "id="+id, null);		
	}
	
	public void delete(int id){
		data.delete(dbhelper.tblname, "id="+id, null);
	}
	
	public String disply(int row,int fild){
		Cursor cu =data.query(dbhelper.tblname, null, null, null, null, null, null);
		cu.moveToPosition(row);
		String name=cu.getString(fild);
		return name;		
	}
	
	public String disply2(int id,int fild){
		Cursor cu =data.rawQuery("Select * from phonebook where id="+id,null);
		cu.moveToFirst();
		String name=cu.getString(fild);
		return name;		
	}
	
	public Integer count(){
		Cursor cu =data.query(dbhelper.tblname, null, null, null, null, null, null);
		int s=cu.getCount();
		return s;
	}
	
	

}

